<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/system/Base_routing_table.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/system/Dt_Stationinfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "站点查询",
      name: "/Dt_Stationinfo",
      url: "/Dt_Stationinfo/",
      sortName: "id",
    });
    const editFormFields = ref({
      stationType: "",
      location_state: "",
      lastUpdateTime: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "站点地址",
          required: true,
          field: "stationCode",
          type: "text",
          disabled: true,
        },
        {
          title: "物料类型",
          field: "stationType",
          type: "select",
          dataKey: "materieInfo",
        },
        {
          title: "缓存架状态",
          required: false,
          field: "location_state",
          type: "select",
          data: [
            { key: "0", value: "空拖" },
            { key: "1", value: "锁定" },
            { key: "2", value: "满拖" },
          ],
        },
      ],
      [
        {
          title: "备注",
          field: "remark",
          type: "text",
        },
        //  {
        //   title: "最后更新时间",
        //   field: "lastUpdateTime",
        //   type: "datetime",
        // },
      ],
    ]);
    const searchFormFields = ref({
      route_began: "",
      route_end: "",
      area: "",
    });
    const searchFormOptions = ref([
      [
        { title: "站点地址", field: "stationCode", type: "like" },
        {
          title: "区域",
          field: "area",
          type: "select",
          dataKey: "station_area",
        },
      ],
      [
        {
          title: "缓存架状态",
          field: "location_state",
          data: [
            { key: "0", value: "空拖" },
            { key: "1", value: "锁定" },
            { key: "2", value: "满拖" },
          ],
          type: "select",
        },
        {
          title: "是否启用",
          field: "enable",
          data: [
            { key: "true", value: "启用" },
            { key: "false", value: "禁用" },
          ],
          type: "select",
        },
        { title: "备注", field: "remark", type: "like" },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "ID",
        type: "guid",
        width: 60,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "stationCode",
        title: "站点地址",
        type: "string",
        width: 110,
        require: true,
        align: "left",
      },
      {
        field: "area",
        title: "区域",
        type: "string",
        width: 80,
        align: "left",
        bind: { data: [] },
      },
      {
        field: "location_state",
        title: "缓存架状态",
        type: "string",
        width: 90,
        require: true,
        align: "left",
        bind: {
          key: "",
          data: [
            { key: "0", value: "空拖" },
            { key: "1", value: "锁定" },
            { key: "2", value: "满拖" },
          ],
        },
      },
      {
        field: "lastUpdateTime",
        title: "最后更新时间",
        type: "string",
        width: 120,
        align: "left",
        sort: true,
      },
      {
        field: "enable",
        title: "是否启用",
        type: "string",
        width: 60,
        align: "left",
        bind: {
          data: [
            { key: true, value: "启用" },
            { key: false, value: "禁用" },
          ],
        },
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
